Subject: Re: [PATCH V3 0/2] pci: Provide a flag to access VPD through function 0

From: Alexander Duyck <[email-masked]>
Date: Wed, 17 Jun 2015 10:23:53 -0700

On 06/17/2015 09:29 AM, Rustad, Mark D wrote:
> + Alex
>
>> On Jun 5, 2015, at 2:59 PM, Rustad, Mark D <[email-masked]> wrote:
>>
>>> On Jun 3, 2015, at 11:46 AM, Mark D Rustad <[email-masked]> wrote:
>>>
>>> Many multi-function devices provide shared registers in extended
>>> config space for accessing VPD. The behavior of these registers
>>> means that the state must be tracked and access locked correctly
>>> for accesses not to hang or worse. One way to meet these needs is
>>> to always perform the accesses through function 0, thereby using
>>> the state tracking and mutex that already exists.
>>>
>>> To provide this behavior, add a dev_flags bit to indicate that this
>>> should be done. This bit can then be set for any non-zero function
>>> that needs to redirect such VPD access to function 0. Do not set
>>> this bit on the zero function or there will be an infinite recursion.
>>>
>>> The second patch uses this new flag to invoke this behavior on all
>>> multi-function Intel Ethernet devices.
>>>
>>> Signed-off-by: Mark Rustad <[email-masked]>
>>>
>>> ---
>>> Changes in V2:
>>> - Corrected a spelling error in a log message
>>> - Added checks to see that the referenced function 0 is reasonable
>>> Changes in V3:
>>> - Don't leak a device reference
>>> - Check that function 0 has VPD
>>> - Make a helper for the function 0 checks
>>> - Moved a multifunction check to the quirk patch
>> So does this series look acceptable now? I think I addressed the issues that Alex raised. Can these also be considered for -stable?
> More than a week has passed without any comment. Is this going to be accepted or is there still an issue?

Yeah, this looks like it has addressed most of the corner cases so I am 
good with it.

Acked-by: Alexander Duyck <[email-masked]>